
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #376

libaudclient dependencies

November 28, 2013 22:20 - Cristian Morales Vega

Status: Rejected Start date: November 28, 2013

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.4.2   

Description

As far as I can see audacious/audctrl.h has

#include <glib.h>

#include <dbus/dbus-glib.h>

So the corresponding Requires.private should be in audclient.pc.

Or, even better, those headers could be removed and forward declarations added on its place to remove the dependency.

History

#1 - November 30, 2013 03:50 - John Lindgren

libaudclient is going away in 3.5 anyway because it is tied to the legacy dbus-glib, and Audacious is using GDBus now.  (The D-Bus API itself isn't

changing, so libaudclient will still work if someone wants to maintain it separately.)

#2 - January 19, 2014 02:15 - John Lindgren

- Status changed from New to Rejected

Actually dbus-glib must be a dependency of any software using libaudclient, because you cannot use libaudclient without first creating a DBusGProxy

object.  There is no bug here.
